.model {
  display: none;
  position: fixed;
  z-index: 999;
  background: #fff;
  border-radius: 4px;
  box-shadow: 0 25px 50px -12px rgb(0 0 0 / 0.25);
}

.model.share-show {
  animation: scale-in 0.25s ease 0s 1 normal forwards;
}

.model.share-hide {
  animation: scale-out 0.25s ease 0s 1 normal forwards;
}

.model .model-content {
  padding: 20px;
}

.model .model-nav {
  padding: 8px 20px;
  font-size: 16px;
  line-height: 24px;
  color: rgb(148 163 184);
  background-color: rgb(241 245 249);
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.model .model-nav i.close {
  display: inline-block;
  cursor: pointer;
  width: 16px;
  height: 16px;
  position: relative;
  transition: 0.1s;
}

.model .model-nav i.close::before,
.model .model-nav i.close::after {
  content: '';
  position: absolute;
  width: 2px;
  height: 100%;
  background-color: rgb(148 163 184);
  left: 50%;
  transform: translateX(-50%) rotate(45deg);
}

.model .model-nav i.close::after {
  transform: translateX(-50%) rotate(-45deg);
}

.model .model-nav i.close:hover::before,
.model .model-nav i.close:hover::after {
  background-color: rgb(71 85 105);
}

@keyframes scale-in {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes scale-out {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}
